FFe: New upstream bugfix release: 2.6.12

Bug #925674 reported by Dmitry Tantsur on 2012-02-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gimp (Ubuntu)
Wishlist
Unassigned

Bug Description

Reason for FFe: Lots of bug fixes and translations updates

http://developer.gimp.org/NEWS-2.6

Overview of Changes from GIMP 2.6.11 to GIMP 2.6.12
===================================================

* Bugs fixed:

 627328 - GIMP 2.6.10 segfaults when CTRL-left click on a layer mask
 631885 - GIMP fails to import a path from SVG
 631728 - Crash or Gtk-CRITICAL on File->Open
 641259 - [abrt] gimp-2:2.6.11-1.fc14: py-slice.py:172:slice:TypeError: integer argument expected, got float
 640219 - gimp(1) manpage fixes
 640612 - Sample Colorize does not function non-interactively
 646947 - file-pdf-load: Don't use deprecated API
 639203 - file-psp: fix for bogus input data
 639203 - Fixes for some buffer overflow problems
 652280 - Guard against crash due to quitting while DND is processed
 660305 - fails to build with -Werror=format-security
 623045 - script-fu: make server IPv6 aware

 ... plus a ton of others.

* Updated translations:

 Asturian (ast)
 Catalan (Valencian) (ca@valencia)
 Danish (da)
 Greek (el)
 Esperanto (eo)
 Spanish (es)
 Italian (it)
 Japanese (ja)
 Kazakh (kk)
 Latvian (la)
 Norwegian Nynorsk (nn)
 Polish (pl)
 Portuguese (pt)
 Brazilian Portuguese (pt_BR)
 Russian (ru)
 Turkish (tr)
 Simplified Chinese (zh_CN)

Related branches

Micah Gersten (micahg) on 2012-02-02
tags: added: upgrade-software-version
Micah Gersten (micahg) on 2012-02-16
Changed in gimp (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
Micah Gersten (micahg) wrote :

This needs an FFe now, so subscribing the release team.

summary: - New upstream bugfix release: 2.6.12
+ FFe: New upstream bugfix release: 2.6.12
Changed in gimp (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → New
summary: - FFe: New upstream bugfix release: 2.6.12
+ 3New upstream bugfix release: 2.6.12
summary: - 3New upstream bugfix release: 2.6.12
+ New upstream bugfix release: 2.6.12
Micah Gersten (micahg) wrote :

Actually, this looks like bug fix only, so no FFe needed

Changed in gimp (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
Micah Gersten (micahg) wrote :

As 623045 - script-fu: make server IPv6 aware looks like a feature, I'll ask for an FFe to be safe.

Changed in gimp (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → New
summary: - New upstream bugfix release: 2.6.12
+ FFe: New upstream bugfix release: 2.6.12
description: updated
Scott Kitterman (kitterman) wrote :

OK. Go for it.

Changed in gimp (Ubuntu):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gimp - 2.6.12-1ubuntu1

---------------
gimp (2.6.12-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #925674). Remaining Changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/patches/ghost-cursor.patch: fix Wacom tablet cursor events
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates

  * Drop poppler patch as it's been applied upstream
    - drop debian/patches/poppler0.18.patch
    - update debian/patches/series
  * fix LP: #680521 - Embed page setup dialog functionality in the print dialog
    - add debian/patches/embed-page-setup-dialog.patch
    - update debian/patches/series

gimp (2.6.12-1) unstable; urgency=low

  * Imported Upstream version 2.6.12
  * Add ${misc:Depends} variables to packages that were missing it
  * Call default versioned python binary instead of just /usr/bin/python

gimp (2.6.11-8) unstable; urgency=low

  * Really add the patch this time (Closes: #651387)

gimp (2.6.11-7) unstable; urgency=low

  * poppler0.18.patch: Port file-pdf plugin to poppler 0.18 API. Patch taken
    from Fedora via Ubuntu.
    (Closes: #651387)

gimp (2.6.11-6) unstable; urgency=low

  * libpng_compile.patch:
      - Apply patch from upstream to fix compilation with libpng 1.5
        (Closes: #649972)
 -- Micah Gersten <email address hidden> Wed, 22 Feb 2012 23:47:53 -0600

Changed in gimp (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers